UNIBMP2HEX(1)

NAME
unibmp2hex - Bitmap graphics file to GNU Unifont .hex file converter

SYNOPSIS
unibmp2hex [-phexpage] [-iinput_file.bmp] [-ooutput_file.hex] [-w]

DESCRIPTION
unibmp2hex reads a bitmap produced by unihex2bmp before or after editing, and converts it back into a Unifont .hex format file. The graphics file contains a block of 256 Unicode code points arranged in a 16 by 16 grid. Each code point appears in a 32 by 32 pixel grid. Characters are 16 rows high, and 8, 16, or 31 (treated as 32) columns wide.

OPTIONS

-p  Specify that the code points will be assigned to the 256 block space pagenum in the .hex file. If not specified, unibmp2hex will determine the appropriate block by reading the row and column headers. Note that "page" is not a standard Unicode term. It refers to an output bitmap graphics page of 16 by 16 code points. If pagenum is greater than FF, the block resides above the Unicode Basic Multilingual Plane. In that event, the .hex file will contain eight digit hexadecimal code points rather than the Unifont standard of four hexadecimal code points.

-i  Specify the input file. The default is STDIN.

-o  Specify the output file. The default is STDOUT.

-w  Force all output .hex glyphs to be 16 pixels wide rather than dual width (8 or 16 pixels).

EXAMPLE
Sample usage:

    unibmp2hex -imy_input_file.bmp -omy_output_file.hex

FILES
*.bmp or *.wbmp graphics files

SEE ALSO
bdfimplode(1), hex2bdf(1), hex2otf(1), hex2sfd(1), hexbraille(1), hexdraw(1), hexkinya(1), hexmerge(1), johab2ucs2(1), unibdf2hex(1), unibmpbump(1), unicoverage(1), unidup(1), unifont(5), unifont-viewer(1), unifont1per(1), unifontchojung(1), unifontksx(1), unifontpic(1), unigencircles(1), unigenwidth(1), unihex2bmp(1), unihex2png(1), unihexfill(1), unihexgen(1), unihexrotate(1), unipagecount(1), unipng2hex(1)

AUTHOR
unibmp2hex was written by Paul Hardy.

LICENSE
unibmp2hex is Copyright © 2007, 2008 Paul Hardy.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

BUGS
No known real bugs exist, except that this software does not perform extensive error checking on its input files. If they're not in the format of the original bitmapped output from unihex2bmp, all bets are off.

If the output file is for a "page" containing space code points and the bitmap file squares for those code points are not empty, unibmp2hex preserves the graphics as they are drawn.